RM(1)

NOM
rm - Effacer des fichiers

SYNOPSIS
rm [options] fichier...

Options POSIX : [-fiRr] [--]

Options GNU (formes courtes) : [-dfirvR] [--help] [--version] [--]

DESCRIPTION
([NDT] rm = remove - enlever). rm efface chaque fichier indiqué. Par défaut, il n'efface pas les répertoires. Mais lorsque les options -r ou -R sont fournies, toute l'arborescence en-dessous du répertoire indiqué est supprimée (il n'y a pas de limites à la profondeur de l'arborescence effacée avec « rm -r »). Si le dernier composant du chemin d'accès à un fichier est « . » ou « .. », une erreur se produit (ceci évite les surprises désagréables avec des choses comme « rm -r .* »).

Si l'option -i est indiquée ou si un fichier n'est pas accessible en écriture, si l'entrée standard est un terminal tty, et si les options -f ou --force ne sont pas indiquées, rm demande à l'utilisateur de confirmer l'effacement du fichier. Si la réponse n'est pas affirmative, le fichier est ignoré. La question est posée sur la sortie d'erreur standard, et la réponse attendue sur l'entrée standard.

OPTIONS POSIX

-f  Ne pas demander de confirmation d'effacement, ne pas afficher de message de diagnostic, ne pas renvoyer de code d'erreur lorsqu'un fichier n'existe pas.

-i  Demander à l'utilisateur de confirmer l'effacement de chaque fichier. Si la réponse ne commence pas par « y » ou « Y », le fichier est ignoré. Si les options -f et -i sont fournies simultanément, la dernière sur la ligne de commandes a l'avantage.

-r ou -R
    Effacer récursivement les sous-répertoires.

--  Fin explicite de la liste des options. Ainsi, on peut supprimer un fichier nomme « -f » dans le répertoire en cours, en invoquant « rm -- -f ».

PARTICULARITÉS SVID
La Définition d'Interface System V (SVID) interdit la suppression du dernier lien physique sur un fichier binaire exécutable en cours d'exécution.

PARTICULARITÉ GNU
L'implémentation GNU du paquetage fileutils-3.16 est erronée car elle limite la profondeur des arborescences supprimées récursivement. Au besoin, un utilitaire « deltree » permet de supprimer des hiérarchies très profondes.

OPTIONS GNU

-d, --directory
    Efface un répertoire avec unlink(2) à la place de rmdir(2), ne nécessitant pas que le répertoire soit vide. Seul le superutilisateur peut utiliser cette option. Comme un « unlink » sur un répertoire déréférence tous les fichiers qui y étaient contenus, il est conseillé d'effectuer un fsck(8) sur le système de fichiers après cette opération.

-f, --force
    Ignorer les fichiers non existants, et ne pas interroger l'utilisateur.

-i, --interactive
    Demander à l'utilisateur de confirmer l'effacement de chaque fichier. Si la réponse ne commence pas par « y » ou « Y », le fichier est ignoré.

-r, -R, --recursive
    Supprimer récursivement le contenu des répertoires.

-v, --verbose
    Afficher le nom de chaque fichier avant suppression.

OPTIONS STANDARDS GNU

--help
    Afficher un message d'aide sur la sortie standard, et se terminer correctement.

--version
    Afficher le numéro de version sur la sortie standard, et se terminer correctement.

--  Fin explicite de la liste des options.

ENVIRONNEMENT
Les variables d'environnement LC_ALL, LC_COLLATE, LC_TYPE et LC_MESSAGES ont leurs significations habituelles.

CONFORMITÉ
POSIX.2, sauf pour les limites de profondeur des arborescences.

NOTES
Cette page documente la version de rm trouvée dans le paquetage fileutils-4.0, d'autres versions peuvent différer légèrement.

TRADUCTION

Ce document est une traduction réalisée par Christophe Blaess <http://www.blaess.fr/christophe/> le 27 novembre 1996 et révisée le 19 novembre 2007.

L'équipe de traduction a fait le maximum pour réaliser une adaptation française de qualité. La version anglaise la plus à jour de ce document est toujours consultable via la commande : « LANG=C man 1 rm ». N'hésitez pas à signaler à l'auteur ou au traducteur, selon le cas, toute erreur dans cette page de manuel.